const PUBLIC_DIST=true;

const ENTRIES_SPLIT_SIGN = "##";
const ENTRY_SPLIT_SIGN = "~~";

const SUBSWITCH_MIME_HEADER = 'X-SubSwitch';

const Cc = Components.classes;
const Ci = Components.interfaces;
const Cr = Components.results;
const Cu = Components.utils;

const CONFIGURATION_IDS = [
    "offbydefault",
    "contextmenu",
    "addRDtoEmail",
    "loadRDfromEmail",
    "discoveryIgnoreSigns",
    "discoveryItemPattern",
    "discoveryIgnoreList"
];

const rx_user = "([a-zA-Z0-9][a-zA-Z0-9._-]*|\"([^\\\\\x80-\xff\015\012\"]|\\\\[^\x80-\xff])+\")";
const rx_domain = "([a-zA-Z0-9][a-zA-Z0-9._-]*\\.)*[a-zA-Z0-9][a-zA-Z0-9._-]*\\.[a-zA-Z]{2,5}";
const rx_wildcard = "[a-zA-Z0-9._-]*";
const rx = "^" + rx_user + "\@" + rx_domain + "$";

const nsIDOMNode           = Ci.nsIDOMNode;
const nsIDOMElement        = Ci.nsIDOMElement;


var rdi_prefs = Cc["@mozilla.org/preferences-service;1"]
    .getService(Ci.nsIPrefService)
    .getBranch("extensions.subjects_prefix_switch.");

var str = Components.classes["@mozilla.org/supports-string;1"].createInstance(Components.interfaces.nsISupportsString);
